Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CreateKeyPairResult

    java.lang.Object
      com.amazonaws.services.ec2.model.CreateKeyPairResult

    public class CreateKeyPairResult

extends Object

The result of creating a new EC2 key pair.

Constructor Summary
`CreateKeyPairResult()`

Method Summary
`KeyPair` | `getKeyPair()` The newly created EC2 key pair.
`void` | `setKeyPair(KeyPair keyPair)` The newly created EC2 key pair.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateKeyPairResult` | `withKeyPair(KeyPair keyPair)` The newly created EC2 key pair.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateKeyPairResult

    public CreateKeyPairResult()

Method Detail

### getKeyPair

    public KeyPair getKeyPair()

  The newly created EC2 key pair.

  Returns:
    The newly created EC2 key pair.

### setKeyPair

    public void setKeyPair(KeyPair keyPair)

  The newly created EC2 key pair.

  Parameters:
    `keyPair` - The newly created EC2 key pair.

### withKeyPair

    public CreateKeyPairResult withKeyPair(KeyPair keyPair)

  The newly created EC2 key pair.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `keyPair` - The newly created EC2 key pair.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.